CREATE TABLE items (
  id              bigint(20) unsigned DEFAULT '0' NOT NULL auto_increment,
  parent          bigint(20) unsigned DEFAULT '0' NOT NULL,
  locale          varchar(10) DEFAULT 'C' NOT NULL,
  date_created    DATETIME NOT NULL,
  date_modified   TIMESTAMP NOT NULL,
  date_referenced DATETIME,
  layout          text NOT NULL,
  path            text NOT NULL,
  state           text DEFAULT 'OK' NOT NULL,
  author          varchar(80) DEFAULT '' NOT NULL,
  name            varchar(80) DEFAULT '' NOT NULL,
  mainorder       tinyint(4) DEFAULT '0' NOT NULL,
  type            tinyint(4) DEFAULT '0' NOT NULL,
  content_type    text NOT NULL,
  abstract        text NOT NULL,
  content         longblob NOT NULL,
  size_x          bigint(20) DEFAULT '0' NOT NULL,
  size_y          bigint(20) DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
);
