<? 
  #  This program is free software; you can redistribute it and/or modify
  #  it under the terms of the GNU General Public License as published by
  #  the Free Software Foundation; version 2 of the License.
  #
  #  This program is distributed in the hope that it will be useful,
  #  but WITHOUT ANY WARRANTY; without even the implied warranty of
  #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  #  GNU General Public License for more details.
  #
  #  You should have received a copy of the GNU General Public License
  #  along with this program; if not, write to the Free Software
  #  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

  # $Id: ce_classes.inc,v 1.14 2005/07/08 18:16:55 peter Exp $

class ce_item 
{
   var $id;
   var $path;
   var $state;
   var $data;
   var $last_modified;
   var $locale;
   var $layout_ref;
   var $content_ref;
   var $name;
   var $author;
   var $content_type;
   var $date_created;
   var $last_modified;
   var $layout_class;

   function ce_item($path=NULL,$layout_class="",$state="OK") 
     {
       if(!empty($path))
         {
           ce_debug(50,"\n<!-- created item for path $path -->");
           $this->path=$path;
           $query = "SELECT id,author,layout_path,name,content,content_type,"
                    ."abstract,type,state,"
                    ."UNIX_TIMESTAMP(date_created) as date_created,"
                    ."UNIX_TIMESTAMP(date_modified) as date_modified"
                    ." FROM items WHERE path = '$path' AND state = '".$state."' "
                    ."ORDER BY date_modified DESC";
           ce_debug(50,"\n".'<!-- new item query: "'.$query.'" -->');
           $content_array = mysql_query($query) or die("$query - Failed");
           if( $result = mysql_fetch_array($content_array) )
             {
               $this->id           = $result["id"];
               $this->state        = $result["state"];
               $this->name         = $result["name"];
               $this->content_name = $result["name"];
               $this->author       = $result["author"];
               $this->abstract     = $result["abstract"];
               $this->content_type = $result["content_type"];
               $this->data         = $result["content"];
               $this->date_created = $result["date_created"];
	       $this->last_modified= $result["date_modified"];
	       $this->layout_class = $layout_class;
               $this->layout_ref = NULL;
               $this->content_ref = NULL;
           
               if( !empty($result["layout_path"]) )
                 {
                   $this->layout_ref =& new ce_item($layout_class.$result["layout_path"]);
                   if($this->layout_ref != NULL)
                     {
                       # print "\n<!-- adding content '".$this->name
                       #   ."'(".$this->id.",".$this->path.") to layout '"
                       #   .$this->layout_ref->name."' (".$this->layout_ref->id
                       #   .",".$this->layout_ref->path.") -->";
                       $this->layout_ref->content_ref =& $this;
                       if( !empty($this->abstract) )
                         { $this->layout_ref->abstract =& $this->abstract; }
                       if( !empty($this->content_name) )
                         { $this->layout_ref->content_name =& $this->content_name; }
                     }
                 }
             }
           else
             {
               $this->id           = NULL;
               $this->data         = NULL;
               $this->layout_ref   = NULL;
               $this->content_ref  = NULL;
             }
         }
       else
         {
           # print "\n<!-- creating empty item -->";
           $this->id           = NULL ;
           $this->path         = NULL ;
           $this->name         = NULL ;
           $this->content_type = NULL ;
           $this->data         = NULL ;
           $this->layout_ref   = NULL ;
         }
     }
}
